Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: ubuntu 7.10 met een ati radeon 9250  (gelezen 841 keer)

w1z

  • Gast
ubuntu 7.10 met een ati radeon 9250
« Gepost op: 2008/03/24, 09:42:53 »
Ik ben sinds kort begonnen met het gebruiken van ubuntu 7.10, Echter ik stuit steeds op een probleem waarvan het mij logisch leek dat het vaker voorkwam, De drivers die tijdens de installatie worden geinstalleerd ondersteunen de videokaart die ik heb niet. Alles werkt wel maar compiz en bijvoorbeeld een aantal screensavers lopen niet super terwijl die dat op oudere ubuntu-distributies wel deden. Ik ben toen gaan zoek hoe dit kon komen en heb eerst op de amd site de 8.28.8 drivers gedownload en volgens de instructies geinstalleerd, echter ik krijg dan een error: ./ati-installer.sh: 165: Syntax error: Bad substitution.Hierna ben ik op internet gaan zoeken waarna ik geen bruikbaar resultaat kreeg. Ik heb op dit forum ook gezocht waarna ik alleen dit: http://forum.ubuntu-nl.org/topic/23205 tegenkwam waar nog niets op geantwoord was. Nu is dus de vraag hoe ik wel de 9250 drivers kan installeren. Ik heb een verse-geupdate ubuntu installatie.

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
ubuntu 7.10 met een ati radeon 9250
« Reactie #1 Gepost op: 2008/03/24, 09:59:33 »
Zonder enige uitspraak te doen over de mogelijkheid om die kaart draaiende te krijgen en of de drivers die je wil installeren daarvoor wel deugen, kan ik enkel zeggen dat je commando er zo moet uitziensudo sh ./ati-installer.shLet wel: enkel wanneer je in de directory bent waar dat bestand zich bevindt.
Edit: ik lees het nu beter en zie dat er blijkbaar een fout zit in het scriptje zelf.  daar kan ik echt niet mee helpen.  Je kunt het misschien proberen te posten ?
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

w1z

  • Gast
ubuntu 7.10 met een ati radeon 9250
« Reactie #2 Gepost op: 2008/03/24, 11:25:46 »
Volgens de instructies:(https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/linux_8.28.8-inst.html) moet ik het volgende doen:
To install the ATI Proprietary Linux driver using the Automatic option, follow these steps:

   1. Launch the Terminal Application/Window and navigate to the ATI Proprietary Linux driver download.
   2. Enter the command sh ./ati-driver-installer-8.28.8.run to launch the ATI Proprietary Linux driver installer. The ATI Proprietary Linux Driver Setup dialog box is displayed.

dat doe ik ook :

w1z@w1z-desktop:~$  sh ./ati-driver-installer-8.28.8.run
Creating directory fglrx-install
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.28.8.....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
-e ==================================================
-e  ATI Technologies Linux Driver Installer/Packager
-e ==================================================
./ati-installer.sh: 165: Syntax error: Bad substitution
Removing temporary directory: fglrx-install
Ik weet dus niet hoe ik mijn videokaart goed kan installeren, Ik weet dat de standaard fglrx-drivers vanaf radeon 9500 ondersteunen en ik heb dus een radeon 9250. Ik hoop hiermee voldoende uitgelegd te hebben.

edit: ook het gebruiken van sudo helpt niet

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
ubuntu 7.10 met een ati radeon 9250
« Reactie #3 Gepost op: 2008/03/24, 12:30:08 »
Op deze onofficiƫle, maar alom gewaardeerde site over ATI-drivers zeggen ze het volgende:
Citaat
RADEON Legacy

    These cards are no longer actively supported by AMD as of the 8.28.8 fglrx driver. The installer is still available on AMD's website. ati-driver-installer-8.28.8.run
    If you own one of these cards, it is highly recommended that you use the "radeon" Open source drivers.

    * Radeon 8500
    * Radeon 9000
    * Radeon 9200
    * Radeon 9250
Die zou je moeten hebben.
De meest directe oplossing is om te doen in een terminal
Citaat
sudo dpkg-reconfigure -phigh xserver-xorg
Bij drivers kiezen voor "radeon".
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

w1z

  • Gast
ubuntu 7.10 met een ati radeon 9250
« Reactie #4 Gepost op: 2008/03/25, 15:38:10 »
Na andere problemen met ubuntu, ben ik niet in staat dit nogmaals uit te voeren maar het werkte niet. Ook meen ik ergens gelezen te hebben dat de drivers op ubuntu7.10 bij een 9250 vanzelf ingesteld worden op de open-source drivers? Dat zou betekenen dat ik ze al had. Helaas is er dus geen prestatieverbetering. Ik had gehoopt dat Ubuntu mij wat minder problemen zou geven en ik overweeg het er weer af te gooien (ik heb nu een dualboot).